package com.patzn.lims.frame.service;

import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsQcMainPlanAttachment;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 内部质控计划主表表附件表 服务类
 * </p>
 *
 * @author xutao
 * @since 2019-09-09
 */
public interface ILmsQcMainPlanAttachmentService extends IBaseService<LmsQcMainPlanAttachment> {

    List<LmsQcMainPlanAttachment> list(LmsQcMainPlanAttachment lmsFrameFile);

    LmsQcMainPlanAttachment saveAndUpload(MultipartFile file, String bucketName, String foldPath, Long relId, Integer type);

    boolean deleteBatch(Long[] ids);

    void downloadFile(Long id, HttpServletResponse response);
}
